Name:		sugar-paint-activity
Version:	52
Release:	%mkrel 4
Summary:	Paint activity for Sugar
License:	GPLv2
Group:		Graphical desktop/Other
Url:		http://wiki.sugarlabs.org/go/Activities/Paint
Source:		http://download.sugarlabs.org/sources/honey/Paint/Paint-%{version}.tar.bz2
Patch0:		Paint-52-linkage.patch
Requires:	sugar

BuildRequires:	gettext
BuildRequires:	libpython-devel
BuildRequires:	sugar-toolkit
BuildRequires:	sugar-toolkit-gtk3

%description
Paint will provide a canvas for an individual or a group of children
to express themselves creatively through drawing.

%prep
%setup -q -n Paint-%{version}
%patch0 -p0
rm -fr fill/*_27

%build
pushd fill
make LDFLAGS="%ldflags" LD="%__cc"
popd
python setup.py build

%install
python setup.py install --prefix=%{buildroot}/%{_prefix}
%find_lang org.laptop.Oficina

%files -f org.laptop.Oficina.lang
%{_datadir}/sugar/activities/*
%doc NEWS


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 52-4.mga3
+ Revision: 383671
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 07 2012 fwang <fwang> 52-3.mga3
+ Revision: 327740
- use gcc as linker
- use ldflags

* Fri Dec 07 2012 fwang <fwang> 52-2.mga3
+ Revision: 327735
- rebuild .so files

* Thu Dec 06 2012 zezinho <zezinho> 52-1.mga3
+ Revision: 327566
- imported package sugar-paint-activity

